/**
 * XValidationReportType.java
 *
 * File generated from the XValidationReport1::XValidationReportType uml Class
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.xvalidation.core.report;

// End of user code
import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;
import javax.xml.bind.annotation.XmlType;

import org.w3c.dom.Node;

/**
 * Description of the class XValidationReportType.
 *
 */

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GazelleCrossValidationReport_._type", propOrder = { "reportSummary", "notifications", "xsdValidations" })
@XmlRootElement(name = "GazelleCrossValidationReport")
public class GazelleCrossValidationReportType implements java.io.Serializable {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	@XmlElement(name = "ReportSummary", required = true)
	private Summary reportSummary;
	@XmlElement(name = "Notifications", required = true)
	private NotificationsType notifications;
	@XmlElement(name="XSDValidation", required = false)
	private List<XSDValidation> xsdValidations;
	
	/**
	 * An attribute containing marshalled element node
	 */
	@XmlTransient
	private org.w3c.dom.Node xmlNodePresentation;

	/**
	 * Return reportSummary.
	 * 
	 * @return reportSummary
	 */
	public Summary getReportSummary() {
		return reportSummary;
	}

	/**
	 * Set a value to attribute reportSummary.
	 * 
	 * @param reportSummary
	 *            .
	 */
	public void setReportSummary(Summary reportSummary) {
		this.reportSummary = reportSummary;
	}

	/**
	 * Return notifications.
	 * 
	 * @return notifications
	 */
	public NotificationsType getNotifications() {
		return notifications;
	}

	/**
	 * Set a value to attribute notifications.
	 * 
	 * @param notifications
	 *            .
	 */
	public void setNotifications(NotificationsType notifications) {
		this.notifications = notifications;
	}

	public Node getXmlNodePresentation() {
		if (xmlNodePresentation == null) {
			xmlNodePresentation = ObjectFactory.getXmlNodePresentation("", "GazelleCrossValidationReport", this);
		}
		return xmlNodePresentation;
	}

	public void setXmlNodePresentation(Node xmlNodePresentation) {
		this.xmlNodePresentation = xmlNodePresentation;
	}

	public List<XSDValidation> getXsdValidations() {
		if (xsdValidations == null){
			xsdValidations = new ArrayList<XSDValidation>();
		}
		return xsdValidations;
	}

	public void setXsdValidations(List<XSDValidation> xsdValidations) {
		this.xsdValidations = xsdValidations;
	}

	public void addXsdValidation(XSDValidation validation){
		this.getXsdValidations().add(validation);
	}

	public ValidationResultType getValidationResult() {
		return reportSummary.getValidationResult();
	}
}